package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.entity.account.belong.AccountReportChangeListEntity;
import com.crm.rely.backend.core.pojo.table.AccountReportChangeTable;
import com.crm.rely.backend.core.pojo.view.AccountReportChangeView;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface AccountReportChangeMapper {

    void save(AccountReportChangeTable table);

    AccountReportChangeTable findOne(Long id);

    Integer countSearch(AccountReportChangeListEntity entity);

    List<AccountReportChangeView> listSearch(AccountReportChangeListEntity entity);

    AccountReportChangeView findOneView(Long id);
}
